package com.uas.search.console.b2b.model;

import java.util.Date;

import javax.persistence.Column;
import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.JoinColumn;
import javax.persistence.OneToOne;
import javax.persistence.Table;

/**
 * 招标方答疑单
 */
@Table(name = "purc$tenderanswer")
@Entity
public class PurchaseTenderAnswer {

	@Id
	@Column(name = "pta_id")
	private Long id;

	/**
	 * 答案编号
	 */
	@Column(name = "pta_code")
	private String code;

	/**
	 * 招标企业UU
	 */
	@Column(name = "pta_enuu")
	private Long enUU;

	/**
	 * 招标企业
	 */
	@OneToOne
	@JoinColumn(name = "pta_enuu", insertable = false, updatable = false)
	private EnterpriseSimpleInfo enterprise;

	/**
	 * 招标编号
	 */
	@Column(name = "pta_tendercode")
	private String tenderCode;

	/**
	 * 招标标题
	 */
	@Column(name = "pta_tendertitle")
	private String tenderTitle;

	/**
	 * 答疑截止时间
	 */
	@Column(name = "pta_questionenddate")
	private Date questionEndDate;

	/**
	 * 录入人
	 */
	@Column(name = "pta_recorder")
	private String recorder;

	/**
	 * 答疑备注
	 */
	@Column(name = "pta_remark")
	private String remark;

	public Long getId() {
		return id;
	}

	public void setId(Long id) {
		this.id = id;
	}

	public String getCode() {
		return code;
	}

	public void setCode(String code) {
		this.code = code;
	}

	public Long getEnUU() {
		return enUU;
	}

	public void setEnUU(Long enUU) {
		this.enUU = enUU;
	}

	public EnterpriseSimpleInfo getEnterprise() {
		return enterprise;
	}

	public void setEnterprise(EnterpriseSimpleInfo enterprise) {
		this.enterprise = enterprise;
	}

	public String getTenderCode() {
		return tenderCode;
	}

	public void setTenderCode(String tenderCode) {
		this.tenderCode = tenderCode;
	}

	public String getTenderTitle() {
		return tenderTitle;
	}

	public void setTenderTitle(String tenderTitle) {
		this.tenderTitle = tenderTitle;
	}

	public Date getQuestionEndDate() {
		return questionEndDate;
	}

	public void setQuestionEndDate(Date questionEndDate) {
		this.questionEndDate = questionEndDate;
	}

	public String getRecorder() {
		return recorder;
	}

	public void setRecorder(String recorder) {
		this.recorder = recorder;
	}

	public String getRemark() {
		return remark;
	}

	public void setRemark(String remark) {
		this.remark = remark;
	}

	@Override
	public String toString() {
		return "PurchaseTenderAnswer [id=" + id + ", code=" + code + ", enUU=" + enUU + ", enterprise=" + enterprise
				+ ", tenderCode=" + tenderCode + ", tenderTitle=" + tenderTitle + ", questionEndDate=" + questionEndDate
				+ ", recorder=" + recorder + ", remark=" + remark + "]";
	}


}
